package com.spket.test;

import com.spket.g2d.internal.G2D;

public class Timing {
	/*
	private static Timing instance;
	
	public static Timing getInstance() {
		if (instance == null) {
			try {
				if (System.class.getMethod("nanoTime", null) != null) {
					instance = (Timing) Class.forName("com.spket.test.Timing5").newInstance();
				}
			} catch (Throwable e) {
				//e.printStackTrace();
			}
			if (instance == null)
				instance = new Timing();
		}
		
		return instance;
	}
	
	public static long nanoTime() {
		return getInstance().nanoTimeImpl();
	}
	
	protected long nanoTimeImpl() {
		return System.currentTimeMillis() * 1000000;
	}
	*/
	private static final long f = G2D.queryPerformanceFrequency();
	
	public static long counter() {
		return G2D.queryPerformanceCounter();
	}
	
	public static double time(long start) {
		if (f > 0)
			return (G2D.queryPerformanceCounter() - start) * 1000.0 / f;
		
		return 0;
	}
}
