package com.spket.test;

import org.eclipse.swt.graphics.Rectangle;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Listener;

public interface IPart {
	Renderer getRenderer();
	Rectangle getClientArea();
	
	Control createControl(Composite parent);
	Control getControl();
	void setFocus();
	void dispose();
	
	void addResizeListener(Listener listener);
	void removeResizeListener(Listener listener);
}
